SplFixedArray::rewind
SplFixedArray::toArray
SplFixedArray
PHP Manual

# SplFixedArray::setSize

(PHP 5 >= 5.3.0)

SplFixedArray::setSize — Change the size of an array

### Description

public int SplFixedArray::setSize ( int `$size` )

Change the size of an array to the new size of `size`.

### Parameters

`size`

  The new array size.

### Return Values

No value is returned.

### Examples

Example #1 SplFixedArray::setSize() example

`<?php
$array = new SplFixedArray(5);
echo $array->getSize()."\n";
$array->setSize(10);
echo $array->getSize()."\n";
?>`

The above example will output:

    5
    10

SplFixedArray::rewind
SplFixedArray::toArray
SplFixedArray
PHP Manual